<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Fight the monster!</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
</head>
<body>
<div class="container py-3">

    <img class="mx-auto d-block img-fluid" th:src="@{/adapter/primo-geovishap.jpg}" />

    <div class="row">
        <div class="text-center mx-auto col-md-12">
            <h1>You are fighting a boss</h1>
            <h2>Who will attack next?</h2>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-3 col-md-4 col-sm-6 col-xs-6 p-2" th:each="weapon : ${weapons}">
            <div class="card text-center text-dark">
                <div class="card-body p-3">

                    <h1 class="card-title" th:text="${weapon.holderName}"></h1>
                    <br />
                    <h5 th:text="${weapon.name}"></h5>
                    <br />
                    <a th:href="@{/battle/attack(weaponName=${weapon.name}, attackType=0)}"><button class="btn btn-outline-primary mb-2">Normal Attack</button></a>
                    <a th:href="@{/battle/attack(weaponName=${weapon.name}, attackType=1)}"><button class="btn btn-outline-primary">Charged Attack</button></a>
                </div>
            </div>
        </div>
    </div>

    <div class="card text-left text-dark p-4">
        <h1 class="card-title">Battle Log:</h1>
        <ol class="pl-3 text-left">
            <div th:each="log : ${logs}">
                <li th:text="${log}"></li>
            </div>
        </ol>
    </div>

</div>
</body>
</html>